Name: ovm-consoled
Version: 0.1
Release: 1
Summary: Oracle VM console server.
License: GPLv2
Group: Applications/System
URL: http://www.oracle.com/virtualization
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires: python >= 2.4, stunnel, socat

Patch1: dummy.patch
# End Oracle Patches

%description
Oracle VM console server for exporting guest consoles.

%prep
%setup -q
%patch1 -p0

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = 1 ]; then
    /sbin/chkconfig --add ovm-consoled
fi

%preun
if [ $1 = 0 ]; then
    /sbin/service ovm-consoled stop >/dev/null 2>&1
    /sbin/chkconfig --del ovm-consoled
fi

%files
%defattr(-,root,root)
%doc README
%{_sysconfdir}/init.d/ovm-consoled
%config(noreplace) %{_sysconfdir}/ovm-consoled.conf
%{_sbindir}/ovm-consoled

%changelog
* Tue Aug 31 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-1
- Initial build.
